<?php
class ControllerFeedLatestProductsRSS extends Controller {
    public function index() {
		if ($this->config->get('latest_products_rss_status')) {
			$output = '<?xml version="1.0" encoding="UTF-8" ?>';
			$output .= '<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom" xmlns:xhtml="http://www.w3.org/1999/xhtml"  xmlns:image="http://purl.org/rss/1.0/modules/image/" xmlns:g="http://base.google.com/ns/1.0">';

			$output .= '<channel>';
			$output .= '<link>' . HTTP_SERVER . '</link>';
			$output .= '<title>' . $this->config->get('config_name') . '</title>';
			$output .= '<atom:link href="'. HTTP_SERVER.'index.php?route=feed/latest_products_rss" rel="self" type="application/rss+xml" />';
			$output .= '<image>' . "\n";
			$output .= '<title>' . $this->config->get('config_name') . '</title>' . "\n";

			$output .= '<link>' . HTTP_SERVER . '</link>' . "\n";
			if ($this->config->get('config_logo')
				&& file_exists( DIR_IMAGE . $this->config->get('config_logo') ) ) {
				$output .= '<url>' . HTTP_IMAGE . $this->config->get('config_logo') . '</url>' . "\n";
			}
			else {
				$output .= '<url> </url>' . "\n";
			}

			$output .= '</image>' . "\n";
			$output .= '<copyright>' . 'Copyright (c) ' . date("Y") . ' ' . $this->config->get('config_name') . ' All rights reserved.' . '</copyright>';
			$output .= '<description>' . $this->config->get('config_name') . ' Latest Products Feed' . '</description>' . "\n";
			$output .= '<language>en-us</language>' . "\n";

			$this->load->model('catalog/product');
			$this->load->model('localisation/currency');
			$this->load->model('tool/image');

			$limit = $this->config->get('latest_products_rss_limit') ? $this->config->get('latest_products_rss_limit') : 100;

			$this->data['text_price'] = $this->language->get('text_price');

			$products = $this->model_catalog_product->getLatestProducts($limit);

			if (isset($this->request->get['currency'])) {
				$currency = $this->request->get['currency'];
			}
			else {
				$currency = $this->currency->getCode();
			}

			foreach ($products as $product) {
				if ($product['description']) {
					$output .= '<item>';
					$output .= '<guid>' . HTTP_SERVER . 'index.php?route=product/product&amp;product_id=' . $product['product_id'] . '</guid>';
					$output .= '<title>' . html_entity_decode($product['name'], ENT_QUOTES, 'UTF-8') . '</title>';
					$time = $product['date_added'];
					$timestamp = date('r', strtotime($product['date_added']));
					$output .= '<pubDate>' . $timestamp . '</pubDate>';
					$output .= '<link>' . HTTP_SERVER . 'index.php?route=product/product&amp;product_id=' . $product['product_id'] . '</link>';

					$price = $this->currency->format($this->tax->calculate($product['price'], $product['tax_class_id']), $currency, FALSE, TRUE);
					$output .= '<description>';

					if ($product['image']) {
						$output .= '&#60;img src="' . $this->model_tool_image->resize($product['image'], 200, 200) . '" border="0"/>&#60;/a>' . "\n";
					}

					$output .= $product['description'] . htmlspecialchars('<p><strong>Price: ' . $price . '</strong></p>') . '</description>' . "\n";

					if ($product['image']) {
						$output .= '<enclosure url="' . $this->model_tool_image->resize($product['image'], 500, 500) . '" type="image/jpeg" />';
					}

					$output .= '</item>';
				}
			}

			$output .= '</channel>';
			$output .= '</rss>';

			$this->response->addHeader('Content-Type: application/rss+xml');
			$this->response->setOutput($output, 0);
		}
    }
}
?>